Bug 1734465 - libsnack.so not linked with -ltcl
Summary: libsnack.so not linked with -ltcl
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tcl-snack
Version: 30
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-30 15:26 UTC by Jerry James
Modified: 2019-08-11 01:12 UTC (History)
1 user (show)

Fixed In Version: tcl-snack-2.2.10-41.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-11 01:12:59 UTC


Attachments (Terms of Use)

Description Jerry James 2019-07-30 15:26:17 UTC
Description of problem:
I am trying out python-snack.  I wrote a little code that simply plays an mp3 file.  Attempting to run it failed:

_tkinter.TclError: couldn't load file "/usr/lib64/tcl8.6/snack2.2/libsnack.so": /usr/lib64/tcl8.6/snack2.2/libsnack.so: undefined symbol: Tcl_SeekOld

$ ldd -r /usr/lib64/tcl8.6/snack2.2/libsnack.so
	linux-vdso.so.1 (0x00007ffe65304000)
	libc.so.6 => /lib64/libc.so.6 (0x00007f8826dab000)
	libX11.so.6 => /lib64/libX11.so.6 (0x00007f8826c66000)
	libm.so.6 => /lib64/libm.so.6 (0x00007f8826b20000)
	libasound.so.2 => /lib64/libasound.so.2 (0x00007f8826a19000)
	/lib64/ld-linux-x86-64.so.2 (0x00007f8827255000)
	libxcb.so.1 => /lib64/libxcb.so.1 (0x00007f88269ee000)
	libdl.so.2 => /lib64/libdl.so.2 (0x00007f88269e8000)
	libpthread.so.0 => /lib64/libpthread.so.0 (0x00007f88269c5000)
	librt.so.1 => /lib64/librt.so.1 (0x00007f88269bb000)
	libXau.so.6 => /lib64/libXau.so.6 (0x00007f88269b5000)
undefined symbol: Tcl_SeekOld	(/usr/lib64/tcl8.6/snack2.2/libsnack.so)
undefined symbol: Tcl_TellOld	(/usr/lib64/tcl8.6/snack2.2/libsnack.so)

The .so should be linked with -ltcl.

Version-Release number of selected component (if applicable):
tcl-snack-2.2.10-39.fc30.x86_64

How reproducible:
N/A

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Tom "spot" Callaway 2019-07-30 21:21:06 UTC
This code is held together with so much spit and duct tape. I think I have it fixed, but it might help me be sure if you send me your test code.

Comment 2 Tom "spot" Callaway 2019-07-31 12:57:34 UTC
https://koji.fedoraproject.org/koji/taskinfo?taskID=36704737 is the F30 build with the fix for this issue and the addition of the libsnackmpg.so extension module with mp3 support from libmpg123.

Please test.

Comment 3 Fedora Update System 2019-08-01 17:54:19 UTC
FEDORA-2019-31c922c5f7 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-31c922c5f7

Comment 4 Fedora Update System 2019-08-02 00:55:17 UTC
tcl-snack-2.2.10-41.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-31c922c5f7

Comment 5 Fedora Update System 2019-08-11 01:12:59 UTC
tcl-snack-2.2.10-41.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.